Bug 193216

Summary: Review Request: qcwebcam
Product: [Fedora] Fedora Reporter: Parag AN(पराग) <panemade>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED CANTFIX QA Contact: Fedora Package Reviews List <fedora-package-review>
Severity: medium Docs Contact:
Priority: medium    
Version: 5Keywords: Reopened
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2006-09-01 08:52:43 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 201449    

Description Parag AN(पराग) 2006-05-26 01:28:54 EDT
Spec URL: http://people.redhat.com/pnemade/Qcwebcam/qcwebcam.spec
SRPM URL: http://people.redhat.com/pnemade/Qcwebcam/qcwebcam-1.1-3.fc5.src.rpm
Description:  This is the webcam viewer package. It requires webcam's kernel driver to be installed and then use this software to view streaming video,record video,save images from video.

Features of Qcwebcam :-
View Live Video: done
Change Brightness: done
Change White Balance: done
Change Contrast: done
Change Image Size (5 Options ): done
Change Image Formats ( 8 Options ) : done
Change depth (2 settings): done
Freeze picture: done
Snap picture: done
Automatic brightness: NOT done.
Filters: RGB-> BGR Conversion
Support for color cameras: done
Timer: done
Video Recording : done
Comment 1 John Mahowald 2006-05-26 23:57:45 EDT
Needs some work.

* Use dist tag instead of coding release. http://fedoraproject.org/wiki/DistTag
* Should install into /usr/bin, not /usr/bin/local
- Does the Makefile have an install target?
- need to substitute out paths with macros
* URL tag missing, does it have a web page?
* Source tag is not a URL
* Should change Requieres to BuildRequires on the devel packges. For example
ImageMagick-devel
* Doesn't build, probably missing BuildRequires gtk2-devel
* Need to handle the .desktop file correctly.
http://fedoraproject.org/wiki/Packaging/Guidelines
* %description should have "contains" not "contain" (Yes English is strange) And
it is somewhat brief.
Comment 2 Parag AN(पराग) 2006-05-27 05:39:02 EDT
John,
     Please check SPEC file again at
http://people.redhat.com/pnemade/Qcwebcam/qcwebcam.spec. I am getting error 
error: Bad file: /usr/src/redhat/SOURCES/Webcam.desktop: No such file or directory
what changes should i do in SPEC file??
     Also for using dist tag i saw onse statement on
http://fedoraproject.org/wiki/Packaging/NamingGuidelines#head-beca3bf84972f19a384cc2e5091ed47c2b3cebc7
that NOTE: Fedora Core packages cannot use the %{?dist} tag as the current build
system cannot handle it.
      So how to use dist in SPEC file? I tried but no value is substituted there
and got blank space in src rpm name.
Comment 3 Paul Howarth 2006-05-27 06:36:12 EDT
(In reply to comment #2)
> John,
>      Please check SPEC file again at
> http://people.redhat.com/pnemade/Qcwebcam/qcwebcam.spec. I am getting error 
> error: Bad file: /usr/src/redhat/SOURCES/Webcam.desktop: No such file or directory

The file Webcam.desktop was missing from the RPM SOURCES directory. This
shouldn't happen if you're building from the SRPM, which contains this file.

> what changes should i do in SPEC file??

I'd suggest reading the packaging guidelines here:
http://fedoraproject.org/wiki/Packaging/Guidelines

It doesn't cover everything here though. In particular, RPM packages should not
install anything under /usr/local - you need to change the install step to put
files under /usr instead.

>      Also for using dist tag i saw onse statement on
>
http://fedoraproject.org/wiki/Packaging/NamingGuidelines#head-beca3bf84972f19a384cc2e5091ed47c2b3cebc7
> that NOTE: Fedora Core packages cannot use the %{?dist} tag as the current build
> system cannot handle it.

This is a Fedora Extras package submission, not a Fedora Core one. The Fedora
Extras build system (which will soon be used for Fedora Core anyway) handles the
dist tag just fine.

>       So how to use dist in SPEC file? 

Exactly as it says on the wiki.

I tried but no value is substituted there
> and got blank space in src rpm name.

The macros will defined automatically in the Fedora Extras build system, and you
can try this for yourself by building your package in mock. See:
http://fedoraproject.org/wiki/Projects/Mock

You could alternatively define the macros manually when you build the package:

$ rpmbuild --define "fedora 5" --define "dist .fc5" ...

I see there is another project called qcwebcam:

http://www.fhttpd.org/pub/qcwebcam/README.html

This could cause confusion...


Comment 4 Parag AN(पराग) 2006-05-28 06:07:36 EDT
I hope i have completed all work except package name change. Will think on that
and change it accordingly.
Current working SPEC file Url:
http://people.redhat.com/pnemade/Qcwebcam/qcwebcam.spec
Current working Source file Url:
http://people.redhat.com/pnemade/Qcwebcam/qcwebcam-1.1.tar.bz2
SRPM Url:
http://people.redhat.com/pnemade/Qcwebcam/qcwebcam-1.1-3.fc5.src.rpm
Can you check all above things are working fine or not??
Comment 5 Sean Bruno 2006-05-28 13:32:24 EDT
I attempted to rebuild your src rpm on my X86_64 box and received a dependency
error:

[sean@home-desk ~]$ sudo rpmbuild --rebuild Desktop/qcwebcam-1.1-3.fc5.src.rpm
Installing Desktop/qcwebcam-1.1-3.fc5.src.rpm
warning: user parag does not exist - using root
warning: group parag does not exist - using root
warning: user parag does not exist - using root
warning: group parag does not exist - using root
error: Failed build dependencies:
        streamer >= 1.1 is needed by qcwebcam-1.1-3.x86_64


I'm not sure what package provides 'streamer' 
Comment 6 Parag AN(पराग) 2006-05-28 22:58:55 EDT
Yes, its dependent on streamer package that provides command line tool streamer
to record video. i have already uploaded it at
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=193224
Comment 7 Parag AN(पराग) 2006-06-21 01:03:34 EDT
New version is out. 
     Added Audio recording support as a separate feature.
Access package at
http://people.redhat.com/pnemade/Qcwebcam/qcwebcam-1.2.1-1.fc5.src.rpm
and SPEC file at 
http://people.redhat.com/pnemade/Qcwebcam/qcwebcam.spec
Comment 8 Parag AN(पराग) 2006-06-21 02:24:24 EDT
I changed SPEC file and made it clean as per FE package guidelines and now new
package is at
http://people.redhat.com/pnemade/Qcwebcam/qcwebcam-1.2.1-2.fc5.src.rpm
and its SPEC file is at
http://people.redhat.com/pnemade/Qcwebcam/qcwebcam.spec
Comment 9 Parag AN(पराग) 2006-06-22 05:30:27 EDT
Bugfix in Contorls window and new version is at 
http://people.redhat.com/pnemade/Qcwebcam/qcwebcam-1.2.2-1.fc5.src.rpm
And its SPEC file is at
http://people.redhat.com/pnemade/Qcwebcam/qcwebcam.spec
Comment 10 John Mahowald 2006-08-30 13:01:20 EDT
Sorry, but I don't intend to do a full review now. Reassigning.
Comment 11 Parag AN(पराग) 2006-08-30 21:56:16 EDT
Ok will wait for somebody to do that work. I am also too busy since 2 weeks and
didn't got time to have any new updates here.